#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libvorbisfile3 preinstallation
#
# Creation   :  2018-09-02 holbru
# Last update:  $Id: preinstall.sh 57317 2018-09-02 16:12:30Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libvorbisfile3

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check libvorbis 2.8.0)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/libvorbis-files.txt ]
    then
        sed -i '/libvorbisfile.so./d' /etc/filelist.d/libvorbis-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
